cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets \
--header 'x-api-key: <api-key>'{
"data": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": "<string>",
"eventId": "<string>",
"title": "<string>",
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"outcomes": [
"<string>"
],
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"clobTokenIds": [
"<string>"
],
"isTeamMarket": true,
"team": {},
"sportsLine": 123,
"sportsMarketType": "<string>",
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Markets
Get Event Markets
Get all markets for a specific event
GET
/
events
/
{eventId}
/
markets
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/{eventId}/markets \
--header 'x-api-key: <api-key>'{
"data": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": "<string>",
"eventId": "<string>",
"title": "<string>",
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"rulesPrimary": "<string>",
"rulesSecondary": "<string>",
"outcomes": [
"<string>"
],
"marketOptions": [
{
"label": "<string>",
"buyYes": true
}
],
"clobTokenIds": [
"<string>"
],
"isTeamMarket": true,
"team": {},
"sportsLine": 123,
"sportsMarketType": "<string>",
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
],
"pagination": {
"start": 1,
"end": 1,
"total": 1,
"hasNext": true
}
}Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Event identifier
Minimum string length:
1Was this page helpful?
⌘I
